Search by Registration Number
Introduction
This api provides details of the architect who is recognized and accredited by COA(Council of Architecture) using the registration number.
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the registration number in the request body and access token received from login in the respective authorization header
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/...patronId.../coas' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '{
"task": "registrationNumberSearch",
"essentials": {
"registrationNumber": "CA/2017/82888"
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Contains the id parameter returned from the login step |
Content-Type | application/json |
task | The type of task performed - “registrationNumberSearch” |
essentials | Contains the essential input data |
essentials.registrationNumber | Contains the registrationNumber for which the details would be fetched |
Sample Response
{
"essentials": {
"registrationNumber": "...registrationNumber..."
},
"id": "...id...",
"patronId": "...patronId...",
"task": "registrationNumberSearch",
"result": {
"emailId": "...emailId...",
"registrationNumber": "...registrationNumber...",
"mobile": "...mobile...",
"validity": "...validity...",
"architectName": "...architectName...",
"qualification": "...qualification...",
"address": "...address...",
"disciplinaryAction": "...disciplinaryAction...",
"splitAddress": {
"district": [
"KARNAL"
],
"state": [
[
"HARYANA",
"HR"
]
],
"city": [
"KARNAL"
],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
essentials | Contains "essentials" key of the request body |
essentials.registrationNumber | Contains the registrationNumber for which the details would be fetched |
id | Unique id of user |
patronId | Unique patronId of user |
task | The type of task performed - “registrationNumberSearch” |
result | Holds the actual output of the response |
result.emailId | Email id of the architect |
result.registrationNumber | Registration numer of the architect |
result.mobile | Mobile number of the architect |
result.validity | Validation date for the architect's accrdition |
result.architectName | Name of architect |
result.qualification | Qualification of architect |
result.address | Full address of architect |
result.disciplinaryAction | Disciplinary action against the architect - "YES" or "NO" |
result.splitAddress | A json object containing a breakdown of the address into individual components |
result.splitAddress.district | An array containing the districts |
result.splitAddress.state | An array containing the states |
result.splitAddress.city | An array containing the cities |
result.splitAddress.pincode | The pin code of the architect's address |
result.splitAddress.country | An array containing the country codes and names |
result.splitAddress.addressLine | Street and locality address |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Registration Number Not Found |
400 | Registration Number Not Found |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].